/*
 microphonearray_test.cpp
 Spatial Audio Library (SAL)
 Copyright (c) 2011, Enzo De Sena
 All rights reserved.
 
 Authors: Enzo De Sena, enzodesena@me.com
 
 */

#include "microphone.h"
#include "microphonearray.h"
#include "salconstants.h"

namespace sal {

using mcl::Point;
  
bool MicrophoneArray::Test() {
  
  const UInt num_microphones = 5;
  
  CircularTrig microphone_array_a = CircularTrig(Point(0.0,0.0,1.5), 1.0,
                                     num_microphones,
                                     0.0,
                                     0.0, // i.e. uniformly distributed in 2PI
                                     mcl::UnaryVector<Sample>(1.0));
  
  std::vector<MonoMic*> microphones_a = microphone_array_a.microphones();
  assert(microphones_a.size() == num_microphones);
  
  assert(microphones_a[0]->position().Equals(Point(1.0,0.0,1.5)));
  assert(microphones_a[1]->position().Equals(Point(1.0*cos(2*PI/5),
                                                   1.0*sin(2*PI/5),
                                                   1.5)));
  
    
  
  return true;
}

} // namespace sal
